include:
  - project: "ai2fit/templates/ci"
    ref: master
    file: "docker-variables.yml"

stages:
  - build
  - test
  - package

build:native:
  image:
    name: node:17
    pull_policy: always
  stage: build
  script:
    - yarn install
    - yarn build

package:docker:
  stage: package
  needs:
    - build:native
  image:
    # debug is needed to have a shell inside the container
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  variables:
    APP_VERSION: "${CI_COMMIT_SHORT_SHA}"
  script:
    - /kaniko/executor
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}:${APP_VERSION}"
